<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');

include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

$LecturadeIDsdeTTTdesdelapreparacion=( $_SESSION['parametrosSGA']['LecturadeIDsdeTTTdesdelapreparacion']=='S' );


if($_SESSION['orden']) {




//echo '<p>modo traspaso: '.$_POST['modoTraspaso'].'</p>';

//print_r($_SESSION['palets']);

$_SESSION['tiposCajas']=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['TiposCajas']);





function cargaDatos() {

	global $wsUsuario;
	global $wsClave;
	global $wsEmpresa;

	$peticion='SGAInformacionPackingList#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['orden']['PackingList'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$datosPackingList=$resultado[0];
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
		 
    $_SESSION['palets']=arreglaArrayPXMobileProxiumResult($datosPackingList['IDPalets']);
	
	$contador=0;
	foreach($_SESSION['palets'] as $clave=>$item) {
		
		if($item['Productos']) {
		
			$productos=arreglaArrayPXMobileProxiumResult($item['Productos']);
			$productosTemp=array();
			foreach($productos as $item2) {
				$item2['Contador']=$contador;
				$productosTemp[]=$item2;
				$contador++;
			}
			$_SESSION['palets'][ $clave ]['Productos']=$productosTemp;
			$_SESSION['palets'][ $clave ]['Ubicacion']=$item2['Ubicacion']; //Con esto, como la ubicación está en la clase inferior de productos y no en la superior de palet, lo subimos
			
			//print_r($_SESSION['palets'][ $clave ]['Productos']);
			//echo '<hr>';
			
		}
		
	}

	$_SESSION['agrupaciones']=array();
	
	foreach($_SESSION['palets'] as $item) { //Agrupaciones de primer nivel
		if(!$item['IDPaletPadre']) {
		
			$productos=$item['Productos'];
			foreach($productos as $item2) if($item2['OrdenPreparacion']==$_SESSION['orden']['OrdenPreparacion']) $item['EnOrdenPreparacionActual']='S';
			
			$_SESSION['agrupaciones'][$item['IDPalet']]=$item;
			
		}
	}
	foreach($_SESSION['palets'] as $item) { //Agrupaciones de segundo nivel
		if($item['IDPaletPadre']) {
		
			$productos=$item['Productos'];
			foreach($productos as $item2) if($item2['OrdenPreparacion']==$_SESSION['orden']['OrdenPreparacion']) $_SESSION['agrupaciones'][$item['IDPaletPadre']]['EnOrdenPreparacionActual']='S';
			
			$_SESSION['agrupaciones'][$item['IDPaletPadre']]['Cajas'][]=$item;
	
		}
	}
	
	
} //Fin funcion cargaDatos()


//Carga inicial
cargaDatos();




switch($_POST['modoTraspaso']) {

	case 'sacar':
	
		$peticion='SGATraspasoCajaPalet#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$_POST['agrupacionOrigenDato'].'#';
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		break;

	case 'mover':

		//echo '<p>Modo mover caja de un palet a otro</p>';
		
		$peticion='SGATraspasoCajaPalet#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$_POST['agrupacionOrigenDato'].'#'.$_POST['agrupacionDestinoDato'];
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		break;
		
	case 'traspasar':
	
		$cadenaEnvio='';
		
		///print_r($_POST);
		//echo '<hr>';
	
		foreach($_SESSION['palets'] as $palet) {
		
			if($palet['IDPalet']==$_POST['agrupacionOrigenDato']) {
			
				$contador=1;
		
				foreach( $palet['Productos'] as $producto ) {
				

					//print_r($producto);
					//echo '--------------<br>';
					
					if($_POST['traspasar-'.$palet['IDPalet'].'-'.$contador]) {
					
						//echo '<p>Encontrado post</p>';
						//print_r($producto);
						
						if($_POST['trazabilidad-'.$palet['IDPalet'].'-'.$contador]) $listadeIds=$_POST['trazabilidad-'.$palet['IDPalet'].'-'.$contador];
						else $listadeIds='';
					
						$cantidad=$_POST['traspasar-'.$palet['IDPalet'].'-'.$contador];
					
						$cadenaEnvio.='*PXTmpTraspasoContenedoresSGAOrigen'.PHP_EOL;
				
						//$cadenaEnvio.='Empresa='.$_SESSION['empresa'].PHP_EOL;
						$cadenaEnvio.='Empresa='.$_SESSION['orden']['Empresa'].PHP_EOL;
			
						$cadenaEnvio.='Almacen='.$_SESSION['almacen'].PHP_EOL;
						$cadenaEnvio.='ContenedorOrigen='.$producto['Contenedor'].PHP_EOL;
						$cadenaEnvio.='UbicacionOrigen='.$producto['Ubicacion'].PHP_EOL;
						$cadenaEnvio.='ContenedorDestino='.$_POST['agrupacionDestinoDato'].PHP_EOL;
						
						//27-09-2023 al añadir nuevos palets o cajas, estos no están ubicados
						if($_POST['agrupacionDestinoUbicacion']) {
							$cadenaEnvio.='UbicacionDestino='.$_POST['agrupacionDestinoUbicacion'].PHP_EOL;
						}
						else {
							//ponemos la misma que el producto origen, se supone que será la playa de prep
							$cadenaEnvio.='UbicacionDestino='.$producto['Ubicacion'].PHP_EOL;
						}
					
						$cadenaEnvio.='Codigo='.$producto['Codigo'].PHP_EOL;
						
						//5-7-2023 se detecta que en un almacen PRI la entrada y lineaentrada llegan - y esto hace que se dupliquen los indices
						//y solo se traspasa una de las lineas.
						
						if($producto['NumEntrada']=='-') $entradaGrabar='SinEntrada-'.$contador;
						else $entradaGrabar=$producto['NumEntrada'];
						
						$cadenaEnvio.='NumEntrada='.$entradaGrabar.PHP_EOL;
						$cadenaEnvio.='LinEntrada='.$producto['LinEntrada'].PHP_EOL;
						
						$cadenaEnvio.='ATraspasar='.$cantidad.PHP_EOL;
					
						foreach($_SESSION['comportamientos'] as $comportamiento) {
							$cadenaEnvio.=$comportamiento['NombreSQL'].'='.$producto[ $comportamiento['NombreSQL'] ].PHP_EOL;
						}
						
						//22-06-2022
						$cadenaEnvio.='Usuario='.$_SESSION['usuario']['Usuario'].PHP_EOL;
						
						if($listadeIds) $cadenaEnvio.='ListadeIds='.$listadeIds.PHP_EOL;
						
						$cadenaEnvio.='*FIN'.PHP_EOL;
					}
					
					$contador++;
					
				}
				
				break;
				
			}	
			
			//echo '<hr>';
		
		}
		
		if($cadenaEnvio!='') {
		
			$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
						
			if($_GET['traza']=='si') {
				echo "<p>".nl2br($cadenaEnvio)."</p>";
				print_r($resultado);
			}
			
			$resultadoEvaluar=explode("#",$resultado['EnviarDatosResult']);
			if($resultadoEvaluar[0]==1) {
				?><script>alert("Traspaso realizado correctamente.",null,'ok');</script><?php
			}
			else {
				?><script>alert("ERROR: <?php echo $resultadoEvaluar[1]; ?>",null,'error');</script><?php
			}
			
		}
		else {
			?><script>alert("ERROR: La solicitud de traspaso de productos no pudo realizarse.",null,'error');</script><?php
		}
		
		break;
	
}



/////////// RECARGA DE DATOS A POSTERIORI DE LOS MOVIMIENTOS ////////////

cargaDatos();



	
	
	
	

?>

<h2>Reorganizar Packing List <strong><?php echo $_SESSION['orden']['PackingList']; ?></strong></h2>

<p>Agrupación origen:<br />
<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoAgrupacionOrigen" />
<input type="text" name="agrupacionOrigen" id="agrupacionOrigen" class="campo" style="width:350px" autocomplete="off" />
<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarAgrupacionOrigen"/>
</p>

<div id="popupTrazabilidad" class="popup" style="display:none"></div>
<div id="popupTrazabilidadContenido" class="popupContenidoScroll" style="display:none"></div>

<form id="formularioReorganizarPL" name="formularioReorganizarPL" method="post" action="packing-list-reorganizar.php">

    <input type="hidden" id="agrupacionOrigenDato" name="agrupacionOrigenDato" value="" />
    <input type="hidden" id="formatoAgrupacionOrigen" name="formatoAgrupacionOrigen" value="" />
    <input type="hidden" id="agrupacionOrigenTienePadre" name="agrupacionOrigenTienePadre" value="" />
    <input type="hidden" id="agrupacionDestinoDato" name="agrupacionDestinoDato" value="" />
    <input type="hidden" id="agrupacionDestinoUbicacion" name="agrupacionDestinoUbicacion" value="" />
    <input type="hidden" id="formatoAgrupacionDestino" name="formatoAgrupacionDestino" value="" />
    <input type="hidden" id="modoTraspaso" name="modoTraspaso" value="" />
    
    <div id="contenidoAgrupacionOrigen"></div>

</form>

<div id="bloqueAgrupacionDestino" style="display:none">

  <p>Agrupación destino:<br />
    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoAgrupacionDestino" />
    <input type="text" name="agrupacionDestino" id="agrupacionDestino" class="campo" style="width:350px" autocomplete="off" />
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarAgrupacionDestino"/>
  </p>
  
  
  
  <!-- ASOCIAR NUEVA AGRUPACION A PL -->
  
  <div id="bloqueDestinoAsociarNuevo" class="popup" style="display:none">
  
  	<div id="bloqueDestinoAsociarNuevoContenido" class="popupContenido">
    
    	<p><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:70px;height:70px" /></p>
    	<p>La agrupación <strong id="bloqueDestinoAsociarNuevoMatricula"></strong> no existe en el Packing List.</p>
        <p>Si deseas incorporarla, por favor clasifícala:</p>
        <p>
          <input type="radio" name="asociarNuevoPaletOCaja" id="asociarNuevoPaletOCajaEsCaja" value="C" class="checkGrande"/> Caja
          <input type="radio" name="asociarNuevoPaletOCaja" id="asociarNuevoPaletOCajaEsPalet" value="P" class="checkGrande"/> Palet
        </p>
  
	  <?php if($_SESSION['SeleccionTipoCajaSalida']) { ?>
            <div id="bloqueTipoCaja" style="display:none">
            <p>Tipo caja:</br>
            <select name="cajaPaletDestinoTipoCaja" id="cajaPaletDestinoTipoCaja" class="campo" >
                <option value="">---</option>
                <?php foreach($_SESSION['tiposCajas'] as $tipoCaja) { ?>
                <option value="<?php echo $tipoCaja['Codigo']; ?>" <?php if($_SESSION['preparacionCajaPaletActualFijadaTipo']==$tipoCaja['Codigo']) { ?>selected<?php } ?>><?php echo $tipoCaja['Descripcion']; ?></option>
                <?php } ?>
              </select>
            </p>
            </div>
         <?php } ?> 
         
         <?php if($_SESSION['seleccionTipoPalet']) { ?>  
         	<div id="bloqueTipoPalet" style="display:none">
            <p>Tipo palet:</br>
            <select name="contenedorDestinoTipoPalet" id="contenedorDestinoTipoPalet" class="campo" >
                                <option value="">---</option>
                                <?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
                                <option value="<?php echo $codigoPalet; ?>" <?php if($_SESSION['preparacionPaletActualFijadoTipo']==$codigoPalet) { ?>selected<?php } ?>><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
                                <?php } ?>
              </select>
            </p>
            </div>
        <?php } ?>
        
        <p><input type="submit" name="asociarNuevoBotonOK" id="asociarNuevoBotonOK" value="Incorporar al Packing List" class="campo boton"/></p>
    	<p><input type="submit" name="asociarNuevoBotonCancelar" id="asociarNuevoBotonCancelar" value="Cancelar" class="campo boton reducido"/></p>
    
   	</div>
    
    </div>
    
    <script>
	
		function incorporaNuevaAgrupacionAlPackingList(esCaja,tipoPaletCaja) {
		
			$('#popupCargando').show();
		
			$.post('<?php echo $rutaHtml; ?>/contenidos/packing-list-reorganizar-incorporar-al-packing.php', { 'packing' : '<?php echo $_SESSION['orden']['PackingList']; ?>' , 'agrupacion' : $("#agrupacionDestino").val() , 'esCaja' : esCaja , 'tipo' : tipoPaletCaja })
			.done(function(data) {
			
				$('#popupCargando').hide();
				
				var valores=data.split('#');
				
				if(valores[0]=='1') {
					alert(valores[1],null,'error')
					.done(function(){
						reiniciaDestino();
						$('#agrupacionDestino').focus();
					});
				}
				else {
					alert(valores[1],null,'ok')
					.done(function(){
						$('#popupCargando').show();
						window.location='packing-list-reorganizar.php?precargaOrigen='+$("#agrupacionOrigen").val()+'&precargaDestino='+$("#agrupacionDestino").val();
					});
				}
				
				
			
			});
		
		}
	
		$(document).ready(function() {
		
			$('input[name="asociarNuevoPaletOCaja"]').on('click change', function(e) {
			
				var esPaletOCaja=$('input[name="asociarNuevoPaletOCaja"]:checked').val();
				
				if(esPaletOCaja=='C') {
					<?php if($_SESSION['SeleccionTipoCajaSalida']) { ?>
					$('#bloqueTipoCaja').show();
					<?php } ?>
					$('#bloqueTipoPalet').hide();
				}
				else if(esPaletOCaja=='P') {
					<?php if($_SESSION['seleccionTipoPalet']) { ?>
					$('#bloqueTipoPalet').show();
					<?php } ?>
					$('#bloqueTipoCaja').hide();
				}
			
			});
		
			$('#asociarNuevoBotonOK').on('click',function(){
			
				var esPaletOCaja=$('input[name="asociarNuevoPaletOCaja"]:checked').val();
				
				if(!esPaletOCaja) {
					alert('Por favor, indica si la agrupación es Caja o Palet',null,'error');
				}
				else {
				
					var continuar=true;
				
					if(esPaletOCaja=='C') {
						
						<?php if($_SESSION['SeleccionTipoCajaSalida']) { ?>
						if( !$('#cajaPaletDestinoTipoCaja').val() ) {
							alert('Para continuar, especifica el tipo de caja.',null,'error');
							continuar=false;
						}
						else incorporaNuevaAgrupacionAlPackingList('S',$('#cajaPaletDestinoTipoCaja').val());
						<?php } else { ?>
						
						incorporaNuevaAgrupacionAlPackingList('S','');
						
						<?php } ?>
					}
					else if(esPaletOCaja=='P') {
					
						<?php if($_SESSION['seleccionTipoPalet']) { ?>
						if( !$('#contenedorDestinoTipoPalet').val() ) {
							alert('Para continuar, especifica el tipo de palet.',null,'error');
							continuar=false;
						}
						else incorporaNuevaAgrupacionAlPackingList('',$('#contenedorDestinoTipoPalet').val());
						<?php } else { ?>
						
						incorporaNuevaAgrupacionAlPackingList('','');
						
						<?php } ?>
					
					}
				
				}
			
			});
			
			$('#asociarNuevoBotonCancelar').on('click',function(){
			
				reiniciaDestino();
				$('#agrupacionDestino').focus();
				$('#bloqueDestinoAsociarNuevo').hide();
			
			});
		
		});
	
	</script>
    
    <!-- FIN ASOCIAR NUEVA AGRUPACION A PL -->
    
    
    <div id="contenidoAgrupacionDestino"></div>
    
    <p><input type="submit" name="botonSacarCajaDePalet" id="botonSacarCajaDePalet" value="Sacar la caja del Palet actual" class="boton" style="display:none"/></p>
	<p><input type="submit" name="botonMoverCajaAPalet" id="botonMoverCajaAPalet" value="Mover la Caja origen al Palet destino" class="boton" style="display:none"/></p>
    <p><input type="submit" name="botonTraspasarContenidoIndividual" id="botonTraspasarContenidoIndividual" value="Traspasar contenido individual" class="boton" style="display:none"/></p>
    
</div>

<p><input type="submit" name="botonVolver" id="botonVolver" value="Volver a la Orden de Preparación" class="boton reducido" /></p>
            
<script>

function reiniciaOrigen() {
	$('#contenidoAgrupacionOrigen').html('');
	$('#bloqueAgrupacionDestino').hide();
	$('#agrupacionOrigen').val('');
	$('#agrupacionOrigenDato').val('');
	$('#agrupacionOrigenTienePadre').val('');
	$('#formatoAgrupacionOrigen').val('');
	muestraBotones();
}

function reiniciaDestino() {
	$('#contenidoAgrupacionDestino').html('');
	$('#agrupacionDestino').val('');
	$('#agrupacionDestinoDato').val('');
	$('#formatoAgrupacionDestino').val('');
	muestraBotones();
}

function muestraBotones() {

	var hayCantidad=false;
	
	$('.cantidad').each(function(){
		if($(this).val()!='') hayCantidad=true;
	});
	
	//console.log('hayCantidad: '+hayCantidad);

	if( $('#formatoAgrupacionOrigen').val()=='C' && $('#agrupacionOrigenTienePadre').val()==1 && $('#agrupacionDestinoDato').val()=='' ) {
		$('#botonSacarCajaDePalet').show();
	}
	else {
		$('#botonSacarCajaDePalet').hide();
	}

	if( $('#formatoAgrupacionOrigen').val()=='C' && $('#formatoAgrupacionDestino').val()=='P' && !hayCantidad ) {
		$('#botonMoverCajaAPalet').show();
	}
	else {
		$('#botonMoverCajaAPalet').hide();
	}
	
	if( $('#agrupacionOrigenDato').val()!='' && $('#agrupacionDestinoDato').val()!='' && hayCantidad ) {
		$('#botonTraspasarContenidoIndividual').show();
	}
	else {
		$('#botonTraspasarContenidoIndividual').hide();
	}
}

$(document).ready(function() {

	// Agrupacion destino
	
	$('#tecladoAgrupacionOrigen').on("click",function(){
		$('#teclado').show();
		$('#valor').val( $('#agrupacionOrigen').val() );
		$('#valorOculto').val( $('#agrupacionOrigen').val() );
		$('#enter').attr('campoValor','agrupacionOrigen');
		$('#enter').attr('formulario','');
		$('#enter').attr('forzarEnter','si');
	});

	$('#agrupacionOrigen').on('change',function(e){
	
		e.preventDefault();
	
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-reorganizar-contenido.php", { agrupacion : $("#agrupacionOrigen").val(), origen : 1 })
		.done(function(data) {
		
			$('#popupCargando').hide();
			
			var valores=data.split('#');
			
			if(valores[0]=='error') {
				alert(valores[1],null,'error')
				.done(function(){
					reiniciaOrigen();
					$('#agrupacionOrigen').focus();
				});
			}
			else {
				$('#agrupacionOrigenDato').val($('#agrupacionOrigen').val());
				$('#contenidoAgrupacionOrigen').html(data);
				$('#bloqueAgrupacionDestino').show();
				muestraBotones();
				$('#agrupacionDestino').focus();
			}
		});
	});

	$('#borrarAgrupacionOrigen').on('click',function(){
		reiniciaOrigen();
		$('#agrupacionOrigen').focus();
	});


	// Agrupacion destino
	
	$('#tecladoAgrupacionDestino').on("click",function(){
		$('#teclado').show();
		$('#valor').val( $('#agrupacionDestino').val() );
		$('#valorOculto').val( $('#agrupacionDestino').val() );
		$('#enter').attr('campoValor','agrupacionDestino');
		$('#enter').attr('formulario','');
		$('#enter').attr('forzarEnter','si');
	});

	$('#agrupacionDestino').on('change',function(e){
	
		e.preventDefault();
	
		if( $('#agrupacionDestino').val()==$('#agrupacionOrigen').val() ) {
			alert('No puedes seleccionar la misma Agrupación como origen y destino.',null,'advertencia')
			.done(function(){
				reiniciaDestino();
				$('#agrupacionDestino').focus();
			});
		}
		else {	
	
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-reorganizar-contenido.php", { agrupacion : $("#agrupacionDestino").val() , origen : 0 })
			.done(function(data) {
			
				$('#popupCargando').hide();
				
				var valores=data.split('#');
				
				if(valores[0]=='error') {
				
					//26-09-2023 posibilidad de añadir una matricula al PL, que previamente no esté
					if(valores[2]==1) {
					
						$('#bloqueDestinoAsociarNuevoMatricula').html( $("#agrupacionDestino").val() );
						$('#bloqueDestinoAsociarNuevo').show();
					
					}
					else {
					
						alert(valores[1],null,'error')
						.done(function(){
							reiniciaDestino();
							$('#agrupacionDestino').focus();
						});
					}
				}
				else {
					$('#contenidoAgrupacionDestino').html(data);
					$('#agrupacionDestinoDato').val($('#agrupacionDestino').val());
					muestraBotones();
				}
			});
			
		}
		
	});
	
	$('#borrarAgrupacionDestino').on('click',function(){
		reiniciaDestino();
		$('#agrupacionDestino').focus();
	});
	
	// Botones

	$('#botonTraspasarContenidoIndividual').on('click',function(){
		$('#modoTraspaso').val('traspasar');
		$('#popupCargando').show();
		$('#formularioReorganizarPL').submit();
	});
	
	$('#botonSacarCajaDePalet').on('click',function(){
		$('#modoTraspaso').val('sacar');
		$('#popupCargando').show();
		$('#formularioReorganizarPL').submit();
	});
	
	$('#botonMoverCajaAPalet').on('click',function(){
		$('#modoTraspaso').val('mover');
		$('#popupCargando').show();
		$('#formularioReorganizarPL').submit();
	});
	
	$(document).on('change','.cantidad',function(){
		muestraBotones();
	});
	
	$('#botonVolver').on('click',function(){
		$('#popupCargando').show();
		window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';
	});
	
	$(document).on('click','.cantidad',function(e) {
		$('#calculadora').show();
		$('#valorCalculadora').val( $(this).val() );
		$('#enterCalculadora').attr('campoValor', $(this).attr('id') );
		$('#enterCalculadora').attr('forzarEnter','si');
	});
	
	<?php if($_GET['precargaOrigen']) { ?>
	
	$('#agrupacionOrigen').val('<?php echo $_GET['precargaOrigen']; ?>');
	$('#agrupacionOrigen').trigger('change');
		
		<?php if($_GET['precargaDestino']) { ?>
		
		$('#agrupacionDestino').val('<?php echo $_GET['precargaDestino']; ?>');
		$('#agrupacionDestino').trigger('change');
		
		<?php } ?>
	
	
	<?php } else { ?>

	$('#agrupacionOrigen').focus();
	
	<?php } ?>
	
	
	
	<?php if($LecturadeIDsdeTTTdesdelapreparacion) { ?>
	
	$(document).on('click','.verTrazabilidad',function(){
	
		$('#popupCargando').show();
		
		let contador=$(this).attr('contador');
		let idPalet=$(this).attr('idPalet');
		let indice=idPalet+'-'+contador;
		let numeros=$(this).attr('numeros');
		
		let seleccionados='';
		if($('#trazabilidad-'+indice).val()) seleccionados=$('#trazabilidad-'+indice).val().replaceAll('@',';');
	
		$.post('<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-ids.php' , { 'numeros' : numeros , 'accion' : 1 , 'contador' : indice , 'seleccionados' : seleccionados })
		.done(function(data) {
		
			$('#popupCargando').hide();
		
			$('#popupTrazabilidadContenido').html(data);
			$('#popupTrazabilidad').show();
			$('#popupTrazabilidadContenido').show();
			
			var posicion=$(document).scrollTop();
			$('#popupTrazabilidadContenido').offset({ top: posicion+20 });
		});
		
	});
	
	$(document).on('click','#botonAceptarTrazabilidad',function(){
	
		let cadena='';
		let contador=$(this).attr('contador');
		let cantidad=0;
	
		$('.checkIdTrazabilidad').each(function(){
			if($(this).is(':checked')) {
				if(cadena!='') cadena+='@';
				cadena+=$(this).attr('codigo');
				cantidad+=parseInt($(this).attr('cantidad'));
			}
		});
		
		console.log('contador: '+contador);
		console.log('cadena: '+cadena);
		console.log('cantidad: '+cantidad);
		
		$('#trazabilidad-'+contador).val(cadena);
		if(cantidad>0) $('#traspasar-'+contador).val(cantidad);
		else $('#traspasar-'+contador).val('');
		
		let maximo=parseInt($('#traspasar-'+contador).attr('maximo'));
		
		console.log('maximo: '+maximo);
		
		if(cantidad>maximo) {
			alert('ERROR: Has seleccionado más Ids o más cantidad de la preparada en esa linea de producto',null,'error');
			$('#traspasar-'+contador).addClass('campoError');
		}	
		else $('#traspasar-'+contador).removeClass('campoError');
		
		$('#popupTrazabilidad').hide();
		$('#popupTrazabilidadContenido').hide();
		
		muestraBotones();
		
		
	});
	
	<?php } ?>

});

</script>

<?php

} // Fin si hay Orden


include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
